<?php

namespace App\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Repositories\UserWalletLogRepository;
use App\Models\UserWalletLog;
use App\Validators\UserWalletLogValidator;

/**
 * Class UserWalletLogRepositoryEloquent.
 *
 * @package namespace App\Repositories;
 */
class UserWalletLogRepositoryEloquent extends BaseRepository implements UserWalletLogRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return UserWalletLog::class;
    }

    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    public function store(array $data)
    {
        return $this->create($data);
    }

}
